import { api, downloadFile, createApiUrl} from '~/utils/axios';









/**
 * 获取合作伙伴列表
 * @param {Object} data
 * @return {Promise} api
 */
export function getCrossBannerList(data) {
  return api.post('Home.CrossBanner.CrossBanner/getCrossBannerList', data);
}

/**
 * 删除合作伙伴
 * @param {Object} data
 * @return {Promise} api
 */
export function deleteCrossBanner(data) {
  return api.post('Home.CrossBanner.CrossBanner/deleteCrossBanner', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '删除失败'
  });
}

/**
 * 添加合作伙伴
 * @param {Object} data
 * @return {Promise} api
 */
export function addCrossBanner(data) {
  return api.post('Home.CrossBanner.CrossBanner/addCrossBanner', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '添加失败'
  });
}
/**
 * 编辑合作伙伴
 * @param {Object} data
 * @return {Promise} api
 */
export function editCrossBanner(data) {
  return api.post('Home.CrossBanner.CrossBanner/editCrossBanner', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '编辑失败'
  });
}
